- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::MvData Class Reference

Class for all the motion vector data. More...

`#include <motion.h>`

Inheritance diagram for dirac::MvData:

List of all members.

## Public Member Functions
| MvData (const int xnumMB, int ynumMB, const int xnumblocks, int ynumblocks, const int num_refs=2)
| Constructor.
| MvData (const int xnumMB, int ynumMB, const int num_refs=2)
| Constructor.
| ~MvData ()
| Destructor.
MvArray & | Vectors (const int ref_id)
| Get the MVs for a reference.
const MvArray & | Vectors (const int ref_id) const
| Get the MVs for a reference.
MvArray & | GlobalMotionVectors (const int ref_id)
| Get the global MVs for a reference.
const MvArray & | GlobalMotionVectors (const int ref_id) const
| Get the global MVs for a reference.
TwoDArray< ValueType > & | DC (CompSort cs)
| Get the DC values for each component.
const TwoDArray< ValueType > & | DC (CompSort cs) const
| Get the DC values for each component.
const OneDArray< TwoDArray< ValueType > * > & | DC () const
| Get a reference to the vector holding component DC values.
TwoDArray< PredMode > & | Mode ()
| Get the block prediction modes.
const TwoDArray< PredMode > & | Mode () const
| Get the block prediction modes.
TwoDArray< int > & | MBSplit ()
| Get the MB split level.
const TwoDArray< int > & | MBSplit () const
| Get the MB split level.
TwoDArray< bool > & | MBCommonMode ()
| Get the MB common mode parameters.
const TwoDArray< bool > & | MBCommonMode () const
| Get the MB common mode parameters.
OneDArray< float > & | GlobalMotionParameters (const int ref_id)
| Get the global motion model parameters.
const OneDArray< float > & | GlobalMotionParameters (const int ref_id) const
| Get the global motion model parameters.

## Detailed Description

Class for all the motion vector data.

Motion vector data: the motion vectors themselves, the blocks and macroblock modes.

Definition at line 208 of file motion.h.

## Constructor & Destructor Documentation

MvData::MvData | ( | const int | xnumMB,
|  | int | ynumMB,
|  | const int | xnumblocks,
|  | int | ynumblocks,
|  | const int | num_refs = `2`
| ) |

  | Constructor. Constructor takes: Parameters:
  | xnumMB | the number of MBs horizontally
  | ynumMB | the number of MBs vertically
  | xnumblocks | the number of blocks horizontally
  | ynumblocks | the number of blocks vertically
  | num_refs | the number of references being used for the frame
Definition at line 53 of file motion.cpp.

MvData::MvData | ( | const int | xnumMB,
|  | int | ynumMB,
|  | const int | num_refs = `2`
| ) |

  | Constructor. Constructor. Numbers of blocks derived from the number of MBs Parameters:
  | xnumMB | the number of MBs horizontally
  | ynumMB | the number of MBs vertically
  | num_refs | the number of references being used for the frame
Definition at line 67 of file motion.cpp.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/motion.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/motion.cpp